CRYPTO_SHASH_UPDATE(9)

NAME
crypto_shash_update - add data to message digest for processing

SYNOPSIS

int crypto_shash_update(struct shash_desc * desc, const u8 * data, unsigned int len);

ARGUMENTS

desc
    operational state handle that is already initialized

data
    input data to be added to the message digest

len
    length of the input data

DESCRIPTION

Updates the message digest state of the operational state handle.

RETURN

0 if the message digest update was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT